#include <iostream>

using namespace std;

int main(){
int n,k;
cin >> n >> k;
char s[n];
int sl[k];
for(int i=0;i<k;i++) sl[i]=0;
int z=0;
bool tren=true;
for(int i=0;i<n;i++) {
    cin >> s[i];
    sl[s[i]-'a']++;
    if(sl[s[i]-'a']>=2) tren=false;
    if(tren) z++;

}
for(int i=1;i<=n;i++){
    if(i<z){
        cout << "1 ";
        continue;
    }
    cout << "2 ";

}
cout << endl;
return 0;
}